Mail archive
alpine-aports

[alpine-aports] [PATCH 5/6] testing/libteam: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 23 Apr 2015 17:13:36 +0000

Required by networkmanager
http://libteam.org/

Lower performance overhead compared to bonding:
https://github.com/jpirko/libteam/wiki/Bonding-vs.-Team-driver-features

Python 2/3 bindings split out into a separate package.
---
 testing/libteam/APKBUILD                           | 70 ++++++++++++++++++++++
 testing/libteam/fix-fd_set.patch                   | 10 ++++
 .../memcpy-memset-implicit-declaration.patch       | 10 ++++
 3 files changed, 90 insertions(+)
 create mode 100644 testing/libteam/APKBUILD
 create mode 100644 testing/libteam/fix-fd_set.patch
 create mode 100644 testing/libteam/memcpy-memset-implicit-declaration.patch
diff --git a/testing/libteam/APKBUILD b/testing/libteam/APKBUILD
new file mode 100644
index 0000000..6eefbd4
--- /dev/null
+++ b/testing/libteam/APKBUILD
_at_@ -0,0 +1,70 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=libteam
+pkgver=1.17
+pkgrel=0
+pkgdesc="Library for controlling team network device"
+url="http://libteam.org"
+arch="all"
+license="LGPL2.1"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool libnl3-dev libdaemon-dev jansson-dev dbus-dev
+		linux-headers bsd-compat-headers doxygen swig python-dev python3-dev"
+subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
+source="https://github.com/jpirko/$pkgname/archive/v$pkgver.tar.gz
+	fix-fd_set.patch
+	memcpy-memset-implicit-declaration.patch
+	"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                --mandir=/usr/share/man \
+                || return 1
+        make || return 1
+}
+
+py() {
+	pkgdesc="Python 2/3 Bindings for libteam"
+	mkdir -p "$subpkgdir"
+	cd "$_builddir"
+        cp -ar binding/python binding/python3 || return 1
+        cd binding/python
+        python  ./setup.py build || return 1
+        cd ../python3
+        python3 ./setup.py build || return 1
+	cd binding/python
+        python  ./setup.py install --root "$subpkgdir" -O1 || return 1
+        cd ../python3
+        python3 ./setup.py install --root "$subpkgdir" -O1 || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="4d0730fce6c9423c376e7db126ea6782  v1.17.tar.gz
+ea78f0a9b84eb87747ddfbcfa582a122  fix-fd_set.patch
+fb6662bced494fd24a107e3f7f7dc5e8  memcpy-memset-implicit-declaration.patch"
+sha256sums="be11e670eee47653a80be7ed0c261085b0c610e34b3c336a82e29602b5bbad39  v1.17.tar.gz
+43bff56cfd3d293ecae58b3a77e55e7a740ddcf188d6516097fbd93b13a82ac8  fix-fd_set.patch
+a2982cbd9bce4367d1a6e20bfedcc24cab452538e2e0ec1af0d8a3515cf21077  memcpy-memset-implicit-declaration.patch"
+sha512sums="431359fb4ae8e67d9d3499d965c4c9ac321e8e720714996533d0e3e2f534899e6d8aa29e0ee3a0a2e3d1c9f3e2858bac4a214e02bf2a3d5d730d3811d61a7283  v1.17.tar.gz
+83f8dd77cfed0f815bc0cb2aa4af25883a02567dbb35b59016d7f3a30f162e63155996d21216424f0ea4efa8e92f8f9526a018a892533c3c7dd7c7ba12b46a44  fix-fd_set.patch
+1279c164960b6215e9bb9f3ee161ef9ac6a38b8066d4a1031996b8067031b9b19404681ebecf3492a26b1215ec2eaaddecae3370ec25e2593dc3ca7dc5f8ead7  memcpy-memset-implicit-declaration.patch"
diff --git a/testing/libteam/fix-fd_set.patch b/testing/libteam/fix-fd_set.patch
new file mode 100644
index 0000000..b019ff3
--- /dev/null
+++ b/testing/libteam/fix-fd_set.patch
_at_@ -0,0 +1,10 @@
+--- libteam-1.17/utils/teamnl.c
++++ libteam-1.17/utils/teamnl.c.new
+_at_@ -23,6 +23,7 @@
+ #include <string.h>
+ #include <getopt.h>
+ #include <errno.h>
++#include <sys/select.h>
+ #include <sys/signalfd.h>
+ #include <signal.h>
+ #include <unistd.h>
diff --git a/testing/libteam/memcpy-memset-implicit-declaration.patch b/testing/libteam/memcpy-memset-implicit-declaration.patch
new file mode 100644
index 0000000..84b1a99
--- /dev/null
+++ b/testing/libteam/memcpy-memset-implicit-declaration.patch
_at_@ -0,0 +1,10 @@
+--- libteam-1.17/teamd/teamd_phys_port_check.c
++++ libteam-1.17/teamd/teamd_phys_port_check.c.new
+_at_@ -17,6 +17,7 @@
+  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+  */
+ 
++#include <string.h>
+ #include <stdio.h>
+ #include <errno.h>
+ #include <sys/types.h>
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 23 2015 - 17:13:36 GMT